### Hierarchy

- NotificationService

### Implements

- OnDestroy

## Index

### Constructors

- constructor

### Properties

- applicationRef
- componentFactoryResolver
- injector
- ngZone
- notificationRefs
- onClose

### Methods

- close
- getSmartTimeout
- ngOnDestroy
- showNotification
- showToast

## Constructors

### constructor

- new NotificationService(injector: Injector, componentFactoryResolver: ComponentFactoryResolver, applicationRef: ApplicationRef, ngZone: NgZone): NotificationService

- - Defined in src/notification/notification.service.ts:30

  #### Parameters

  - ##### injector: Injector

  - ##### componentFactoryResolver: ComponentFactoryResolver

  - ##### applicationRef: ApplicationRef

  - ##### ngZone: NgZone

  #### Returns NotificationService

## Properties

### Protected applicationRef

applicationRef: ApplicationRef

- Defined in src/notification/notification.service.ts:42

### Protected componentFactoryResolver

componentFactoryResolver: ComponentFactoryResolver

- Defined in src/notification/notification.service.ts:41

### Protected injector

injector: Injector

- Defined in src/notification/notification.service.ts:40

### Protected ngZone

ngZone: NgZone

- Defined in src/notification/notification.service.ts:43

### notificationRefs

notificationRefs: ComponentRef<any>[] = new Array<ComponentRef<any>>()

- Defined in src/notification/notification.service.ts:29

### onClose

onClose: EventEmitter<any> = new EventEmitter()

- Defined in src/notification/notification.service.ts:30

## Methods

### close

- close(notificationRef: any): void

- - Defined in src/notification/notification.service.ts:146

  #### Parameters

  - ##### notificationRef: any

  #### Returns void

### getSmartTimeout

- getSmartTimeout(notificationObj: any): number

- - Defined in src/notification/notification.service.ts:170

  #### Parameters

  - ##### notificationObj: any

  #### Returns number

  calculated timeout (in ms) for smart notification

### ngOnDestroy

- ngOnDestroy(): void

- - Defined in src/notification/notification.service.ts:209

  #### Returns void

### showNotification

- showNotification(notificationObj: NotificationContent | ToastContent, notificationComp?: Notification): Notification

- - Defined in src/notification/notification.service.ts:76

  #### Parameters

  - ##### notificationObj: NotificationContent | ToastContent

  - ##### Default value notificationComp: Notification = Notification

  #### Returns Notification

### showToast

- showToast(notificationObj: NotificationContent | ToastContent, notificationComp?: Toast): Notification

- - Defined in src/notification/notification.service.ts:137

  #### Parameters

  - ##### notificationObj: NotificationContent | ToastContent

  - ##### Default value notificationComp: Toast = Toast

  #### Returns Notification

Generated using TypeDoc